commit-inetutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[SCM] GNU Inetutils branch, master, updated. inetutils-1_9_1-39-g75ba6b


From: Mats Erik Andersson
Subject: [SCM] GNU Inetutils branch, master, updated. inetutils-1_9_1-39-g75ba6bd
Date: Wed, 22 Feb 2012 21:05:55 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Inetutils ".

The branch, master has been updated
       via  75ba6bd5ed59473ddebe595cb056c9fd262bcac8 (commit)
      from  11d3a32f9832bbd09d4a25a9d8bfc18fdfbea2a9 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/inetutils.git/commit/?id=75ba6bd5ed59473ddebe595cb056c9fd262bcac8


commit 75ba6bd5ed59473ddebe595cb056c9fd262bcac8
Author: Mats Erik Andersson <address@hidden>
Date:   Wed Feb 22 21:54:03 2012 +0100

    Test script review.

diff --git a/ChangeLog b/ChangeLog
index 5497fba..10d1fce 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,13 @@
 2012-02-22  Mats Erik Andersson <address@hidden>
 
+       * tests/ping-localhost.sh, tests/traceroute-localhost.sh: Mend string
+       quotation for expected variable expansion.
+       * tests/syslogd.sh (SYSLOGD, LOGGER): Allow value overriding.
+       * tests/telnet-localhost.sh (INETD, TELNET, ADDRPEEK): Likewise.
+       (TARGET): New variable, replacing previous TARGET4.
+
+2012-02-22  Mats Erik Andersson <address@hidden>
+
        Implement group assignment for services.
        * src/inetd.c (struct servtab): New component `char *se_group'.
        (run_service): New variable GRP.  Check existence of `sep->se_group'.
diff --git a/tests/ping-localhost.sh b/tests/ping-localhost.sh
index 75c7839..c78fa0f 100755
--- a/tests/ping-localhost.sh
+++ b/tests/ping-localhost.sh
@@ -30,7 +30,7 @@ PING6=${PING6:-../ping/ping6$EXEEXT}
 TARGET6=${TARGET6:-::1}
 
 if [ ! -x $PING ]; then
-    echo 'No executable "$PING" available.  Skipping test.' >&2
+    echo 'No executable "'$PING'" available.  Skipping test.' >&2
     exit 77
 fi
 
diff --git a/tests/syslogd.sh b/tests/syslogd.sh
index ba96b18..add498c 100755
--- a/tests/syslogd.sh
+++ b/tests/syslogd.sh
@@ -83,8 +83,8 @@ fi
 
 # The executables under test.
 #
-SYSLOGD=../src/syslogd$EXEEXT
-LOGGER=../src/logger$EXEEXT
+SYSLOGD=${SYSLOGD:-../src/syslogd$EXEEXT}
+LOGGER=${LOGGER:-../src/logger$EXEEXT}
 
 # Step into `tests/', should the invokation
 # have been made outside of it.
diff --git a/tests/telnet-localhost.sh b/tests/telnet-localhost.sh
index ca4f1db..01cac1e 100755
--- a/tests/telnet-localhost.sh
+++ b/tests/telnet-localhost.sh
@@ -38,7 +38,7 @@ Minimal test for TELNET client.
 The following environment variables are used:
 
 VERBOSE                Be verbose, if set.
-TARGET4                Receiving IPv4 address.
+TARGET         Receiving IPv4 address.
 TARGET6                Receiving IPv6 address.
 
 HERE
@@ -47,14 +47,14 @@ fi
 
 # The executables under test.
 #
-INETD=../src/inetd$EXEEXT
-TELNET=../telnet/telnet$EXEEXT
-ADDRPEEK=./addrpeek$EXEEXT
+INETD=${INETD:-../src/inetd$EXEEXT}
+TELNET=${TELNET:-../telnet/telnet$EXEEXT}
+ADDRPEEK=${ADDRPEEK:-./addrpeek$EXEEXT}
 
 # Selected targets.
-TARGET4=${TARGET4:-127.0.0.1}
+TARGET=${TARGET:-127.0.0.1}
 TARGET6=${TARGET6:-::1}
-TARGET46="::ffff:$TARGET4"
+TARGET46="::ffff:$TARGET"
 
 # Step into `tests/', should the invokation
 # have been made outside of it.
@@ -167,12 +167,12 @@ telnet_opts="--no-rc --no-escape --no-login"
 
 errno=0
 
-if test -n "$TARGET4"; then
-    output=`$TELNET $telnet_opts $TARGET4 $PORT 2>/dev/null`
-    echo "$output" | eval "grep 'Your address is $TARGET4.' $display"
+if test -n "$TARGET"; then
+    output=`$TELNET $telnet_opts $TARGET $PORT 2>/dev/null`
+    echo "$output" | eval "grep 'Your address is $TARGET.' $display"
     if test $? -ne 0; then
        errno=1
-       echo "Failed at '$TARGET4'." >&2
+       echo "Failed at '$TARGET'." >&2
     fi
 fi
 
@@ -187,7 +187,7 @@ fi
 
 if test -n "$TARGET46"; then
     output=`$TELNET $telnet_opts $TARGET46 $PORT 2>/dev/null`
-    echo "$output" | eval "grep 'Your address is .*$TARGET4.' $display"
+    echo "$output" | eval "grep 'Your address is .*$TARGET.' $display"
     if test $? -ne 0; then
        echo "Informational: Unsuccessful with mapped address '$TARGET46'." >&2
     fi
diff --git a/tests/traceroute-localhost.sh b/tests/traceroute-localhost.sh
index 6b254f9..1379251 100755
--- a/tests/traceroute-localhost.sh
+++ b/tests/traceroute-localhost.sh
@@ -27,7 +27,7 @@ TRACEROUTE=${TRACEROUTE:-../src/traceroute$EXEEXT}
 TARGET=${TARGET:-127.0.0.1}
 
 if [ ! -x $TRACEROUTE ]; then
-    echo 'No executable "$TRACEROUTE" available.  Skipping test.' >&2
+    echo 'No executable "'$TRACEROUTE'" available.  Skipping test.' >&2
     exit 77
 fi
 

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                     |    8 ++++++++
 tests/ping-localhost.sh       |    2 +-
 tests/syslogd.sh              |    4 ++--
 tests/telnet-localhost.sh     |   22 +++++++++++-----------
 tests/traceroute-localhost.sh |    2 +-
 5 files changed, 23 insertions(+), 15 deletions(-)


hooks/post-receive
-- 
GNU Inetutils 



reply via email to

[Prev in Thread] Current Thread [Next in Thread]